Main Page Widgets Namespaces Book

# Gtk::HScrollbar Class Reference
[Widgets]

Inheritance diagram for Gtk::HScrollbar:

[legend]

List of all members.

## Detailed Description

A horizontal scrollbar.

The Gtk::HScrollbar widget is a widget arranged horizontally creating a scrollbar. See Gtk::Scrollbar for details on scrollbars.

A Gtk::Adjustment may may be passed to the constructor to handle the adjustment of the scrollbar. If not specified, one will be created for you. See Gtk::Adjustment for details.

The HScrollbar widget looks like this:

## Public Member Functions

const GtkHScrollbar* | gobj () const
| Provides access to the underlying C GtkObject.
GtkHScrollbar* | gobj ()
| Provides access to the underlying C GtkObject.
| HScrollbar (Adjustment& gtkadjustment)
| HScrollbar ()
virtual | ~HScrollbar ()

## Related Functions

(Note that these are not member functions.)
Gtk::HScrollbar* | wrap (GtkHScrollbar* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::HScrollbar::~HScrollbar | ( |  | ) | `[virtual]`

Gtk::HScrollbar::HScrollbar | ( |  | ) |

Gtk::HScrollbar::HScrollbar | ( | Adjustment& | gtkadjustment | ) | `[explicit]`

## Member Function Documentation

const GtkHScrollbar* Gtk::HScrollbar::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Scrollbar.

GtkHScrollbar* Gtk::HScrollbar::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Scrollbar.

## Friends And Related Function Documentation

Gtk::HScrollbar* wrap | ( | GtkHScrollbar * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- scrollbar.h